| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::RTCPFeedbackMessage Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- QString type
- QString subtype
- QString parameters

## Detailed Description

Structure type generated from the specification.

A struct defining an RTCP feedback message.

## Member Data Documentation

QString Tp::RTCPFeedbackMessage::type

Feedback type, for example "ack", "nack", or "ccm".

QString Tp::RTCPFeedbackMessage::subtype

Feedback subtype, according to the Type, can be an empty string (""), if there is no subtype. For example, generic nack is Type="nack" Subtype="".

QString Tp::RTCPFeedbackMessage::parameters

Feedback parameters as a string. Format is defined in the relevant RFC